Get team details
curl --request GET \
--url https://api.select.dev/api/{organization_id}/teams/{team_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.select.dev/api/{organization_id}/teams/{team_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.select.dev/api/{organization_id}/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_all_users": true,
"default_member_role": "admin",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"member_count": 123,
"role_count": 123,
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"identifier": "<string>",
"role": "admin",
"added_at": "2023-11-07T05:31:56Z"
}
],
"roles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "admin",
"created_at": "2023-11-07T05:31:56Z",
"snowflake_organization_name": "<string>",
"snowflake_account_uuid": "<string>",
"usage_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}teams
Get team details
deprecated
Retrieve detailed information about a specific team with paginated members and roles.
GET
/
api
/
{organization_id}
/
teams
/
{team_id}
Get team details
This v1 endpoint is deprecated and will be removed in the coming weeks. Use
GET /teams/{team_id} in the
v2 API instead.Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Required range:
1 <= x <= 1000Required range:
x >= 0Response
Successful Response
Detailed team information including members and roles.
The unique identifier of the team
The name of the team
Whether this is the special 'all users' team that automatically includes all organization members
Default role assigned to new members when they are added to the team
Available options:
admin, editor, viewer When the team was created
When the team was last updated
Total number of members in the team
Total number of roles granted to the team
Paginated list of team members
Show child attributes
Show child attributes
Paginated list of roles granted to the team
Show child attributes
Show child attributes

